summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Shvetsov <alexxy@gentoo.org>2018-11-09 17:01:44 +0300
committerAlexey Shvetsov <alexxy@gentoo.org>2018-11-09 17:19:56 +0300
commit3c38c4354a3283346e9c1b824c58fbf254a91497 (patch)
tree479b98235395204fcd24207f7735dc68035afbed
parentdev-python/webob: eapi7 + py3_7 (diff)
downloadgentoo-3c38c4354a3283346e9c1b824c58fbf254a91497.tar.gz
gentoo-3c38c4354a3283346e9c1b824c58fbf254a91497.tar.bz2
gentoo-3c38c4354a3283346e9c1b824c58fbf254a91497.zip
dev-python/socketpool: eapi7 + py3_7
Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Alexey Shvetsov <alexxy@gentoo.org>
-rw-r--r--dev-python/socketpool/socketpool-0.5.3-r1.ebuild38
1 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/socketpool/socketpool-0.5.3-r1.ebuild b/dev-python/socketpool/socketpool-0.5.3-r1.ebuild
new file mode 100644
index 00000000000..0f319c590b2
--- /dev/null
+++ b/dev-python/socketpool/socketpool-0.5.3-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="A simple Python socket pool"
+HOMEPAGE="https://github.com/benoitc/socketpool/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~s390 ~sh ~x86"
+IUSE="examples test"
+LICENSE="|| ( MIT public-domain )"
+SLOT="0"
+
+RDEPEND="$(python_gen_cond_dep 'dev-python/gevent[${PYTHON_USEDEP}]' 'python2*')"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+PATCHES=( "${FILESDIR}"/${PN}-0.5.2-locale.patch )
+
+python_test() {
+ py.test tests || die
+}
+
+python_install_all() {
+ if use examples; then
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+ distutils-r1_python_install_all
+
+ # package installs unneeded LICENSE files here
+ rm -rf "${ED}"/usr/socketpool || die
+}